<?php

namespace App\Services;

use Enflow\SocialShare\SocialShare;

class CustomSocialShare extends SocialShare
{
    public function __call(string $service, array $parameters = []): self
    {
        $this->services->push(new CustomSocialShareService($this, $service, $parameters));

        return $this;
    }
}
